function _slicedToArray(arr, i) { return _arrayWithHoles(arr) || _iterableToArrayLimit(arr, i) || _unsupportedIterableToArray(arr, i) || _nonIterableRest(); }
function _nonIterableRest() { throw new TypeError("Invalid attempt to destructure non-iterable instance.\nIn order to be iterable, non-array objects must have a [Symbol.iterator]() method."); }
function _unsupportedIterableToArray(o, minLen) { if (!o) return; if (typeof o === "string") return _arrayLikeToArray(o, minLen); var n = Object.prototype.toString.call(o).slice(8, -1); if (n === "Object" && o.constructor) n = o.constructor.name; if (n === "Map" || n === "Set") return Array.from(o); if (n === "Arguments" || /^(?:Ui|I)nt(?:8|16|32)(?:Clamped)?Array$/.test(n)) return _arrayLikeToArray(o, minLen); }
function _arrayLikeToArray(arr, len) { if (len == null || len > arr.length) len = arr.length; for (var i = 0, arr2 = new Array(len); i < len; i++) arr2[i] = arr[i]; return arr2; }
function _iterableToArrayLimit(r, l) { var t = null == r ? null : "undefined" != typeof Symbol && r[Symbol.iterator] || r["@@iterator"]; if (null != t) { var e, n, i, u, a = [], f = !0, o = !1; try { if (i = (t = t.call(r)).next, 0 === l) { if (Object(t) !== t) return; f = !1; } else for (; !(f = (e = i.call(t)).done) && (a.push(e.value), a.length !== l); f = !0); } catch (r) { o = !0, n = r; } finally { try { if (!f && null != t.return && (u = t.return(), Object(u) !== u)) return; } finally { if (o) throw n; } } return a; } }
function _arrayWithHoles(arr) { if (Array.isArray(arr)) return arr; }
import React, { useState, forwardRef, useImperativeHandle } from 'react';
import { locales, isMobile } from '@pisell/utils';
import { PisellModal, Input } from "../../../index";
var useOpenNote = function useOpenNote(_ref, ref) {
  var onNoteChange = _ref.onNoteChange;
  var _useState = useState(false),
    _useState2 = _slicedToArray(_useState, 2),
    open = _useState2[0],
    setOpen = _useState2[1];
  var _useState3 = useState({}),
    _useState4 = _slicedToArray(_useState3, 2),
    item = _useState4[0],
    setItem = _useState4[1];
  var _useState5 = useState(),
    _useState6 = _slicedToArray(_useState5, 2),
    value = _useState6[0],
    setValue = _useState6[1];
  useImperativeHandle(ref, function () {
    return {
      open: function open(_ref2) {
        var item = _ref2.item;
        setItem(item);
        setValue(item === null || item === void 0 ? void 0 : item.note);
        setOpen(true);
      }
    };
  });
  var handleOk = function handleOk() {
    onNoteChange(value);
    setOpen(false);
  };
  return /*#__PURE__*/React.createElement(PisellModal, {
    platform: isMobile() ? 'h5' : 'pc',
    open: open,
    bodyStyle: {
      padding: 0
    },
    title: item !== null && item !== void 0 && item.note ? locales.getText('pisell2.product.card.discount.edit.note') : locales.getText('pisell2.product.card.discount.add.note'),
    onCancel: function onCancel() {
      return setOpen(false);
    },
    onOk: handleOk,
    destroyOnClose: true,
    mobileModalHeight: '80vh',
    className: "pisell-lowcode__booking-select-pet-modal-wrap",
    okText: locales.getText('pisell2.product.card.confirm'),
    cancelText: locales.getText('pisell2.product.card.cancel')
  }, /*#__PURE__*/React.createElement(Input.TextArea, {
    size: "large",
    placeholder: locales.getText('pisell2.product.card.note.pla'),
    autoSize: {
      minRows: 4
    },
    allowClear: true,
    value: value,
    onChange: function onChange(e) {
      setValue(e.target.value);
    }
  }));
};
export default /*#__PURE__*/forwardRef(useOpenNote);